Subject: Segmentation violation problem
From: [email-masked] ("Kurt M. Alonso")

11 Dec 1996 11:24:54 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Light Version 1.5.4 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

Hi,

I am running b16 and I am experiencing a problem when compiling
a small C++ program: 
a segmentation violation exception is raised in the initialization
phase of the program (gdb says that it is in __register_exceptions).

For reference I include GDB backtrace output:

#0  0x4b25f8 in __register_exceptions (table=0x47db4c)
#1  0x407cb9 in global constructors keyed to exception::exception ()
    at /sethra/death/noer/beta16/src/libstdc++/exceptioni.cc:101
#2  0x481f32 in __do_global_ctors ()
    at /sethra/death/noer/beta16/src/winsup/dcrt0.cc:563
#3  0x481f66 in __main () at /sethra/death/noer/beta16/src/winsup/dcrt0.cc:574
#4  0x401c9b in main () at test.cc:7
#5  0x481ebb in dll_crt0_1 (uptr=0x414408)
    at /sethra/death/noer/beta16/src/winsup/dcrt0.cc:520
#6  0x481ecf in dll_crt0 (uptr=0x414408)
    at /sethra/death/noer/beta16/src/winsup/dcrt0.cc:532
#7  0x413574 in cygwin_crt0 ()
    at /sethra/death/noer/beta16/src/winsup/libccrt0.cc:89

The runtime error messages are:

(test.exe 1068) In cygwin_except_handler
(test.exe 1068) Exception trapped!
(test.exe 1068) exception C0000005 at 4B25F8
(test.exe 1068) exception: ax 0 bx 47DFFC cx 20 dx CF0804
(test.exe 1068) exception: si 47DB4C di 4816A3 bp 78F6E0 sp 78F6D4
(test.exe 1068) exception is: STATUS_ACCESS_VIOLATION
(test.exe 1068) Stack trace:
(test.exe 1068) frame 0: sp = 0x78F4EC, pc = 0x482A68
(test.exe 1068) frame 1: sp = 0x78F508, pc = 0xBFF7663C
(test.exe 1068) frame 2: sp = 0x78F52C, pc = 0xBFF859D9
(test.exe 1068) frame 3: sp = 0x78F5C4, pc = 0xFFECBAD7
(test.exe 1068) frame 4: sp = 0x78F6E0, pc = 0x407CB9
(test.exe 1068) frame 5: sp = 0x78F6EC, pc = 0x481F32
(test.exe 1068) frame 6: sp = 0x78F6F8, pc = 0x481F66
(test.exe 1068) frame 7: sp = 0x78F700, pc = 0x401C9B
(test.exe 1068) frame 8: sp = 0x78F718, pc = 0x481EBB
(test.exe 1068) frame 9: sp = 0x78FE14, pc = 0x481ECF
(test.exe 1068) frame 10: sp = 0x78FE20, pc = 0x413574
(test.exe 1068) frame 11: sp = 0x78FE30, pc = 0x401012
(test.exe 1068) frame 12: sp = 0x78FE38, pc = 0xBFF88F75
(test.exe 1068) frame 13: sp = 0x78FF78, pc = 0xBFF88E23
(test.exe 1068) frame 14: sp = 0x78FFF4, pc = 0xBFF8783F
(test.exe 1068) frame 15: sp = 0x815A0D38, pc = 0x5
(test.exe 1068) End of stack trace (more stack frames may be present)
(test.exe 1068) In cygwin_except_handler
(test.exe 1068) Error while dumping state (probably corrupted stack)

Any comments are welcome

Regards,
        Kurt

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".